Update Agent Shared File
curl --request PUT \
--url https://odyssey.asteroid.ai/agents/v2/agents/{agentId}/shared-files/{fileId} \
--header 'Content-Type: multipart/form-data' \
--header 'X-Asteroid-Agents-Api-Key: <api-key>' \
--form 'files=<string>' \
--form files.items='@example-file'import requests
url = "https://odyssey.asteroid.ai/agents/v2/agents/{agentId}/shared-files/{fileId}"
files = { "files.items": ("example-file", open("example-file", "rb")) }
payload = { "files": "<string>" }
headers = {"X-Asteroid-Agents-Api-Key": "<api-key>"}
response = requests.put(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('files', '<string>');
form.append('files.items', '{
"fileName": "example-file"
}');
const options = {method: 'PUT', headers: {'X-Asteroid-Agents-Api-Key': '<api-key>'}};
options.body = form;
fetch('https://odyssey.asteroid.ai/agents/v2/agents/{agentId}/shared-files/{fileId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"downloadUrl": "<string>",
"fileName": "<string>",
"filePath": "<string>",
"fileSize": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isFrozen": true,
"updatedAt": "2023-11-07T05:31:56Z",
"version": 123,
"checksum": "<string>",
"lastModifiedByExecutionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mimeType": "<string>"
}"Invalid file upload request.""File not found."Files
Update Agent Shared File
deprecated
Replace the contents of a shared file. The request body must contain exactly one file.
PUT
/
agents
/
{agentId}
/
shared-files
/
{fileId}
Update Agent Shared File
Authorizations
Body
multipart/form-data
Response
The request has succeeded.
A file in the agent's persistent shared storage
Hex-encoded SHA-256 of the file contents. Used for change and rename detection when diffing versions. Absent when the checksum is unknown.
⌘I

